--
-- Patch DML de SCO_PRE_SCOLARITE du 04/06/2013 à exécuter depuis le user GRHUM
--
-- Rem : fichier encodé UTF-8

SET DEFINE OFF;

--
--
-- Fichier : 3/3
-- Type : DML
-- Schema : SCO_PRE_SCOLARITE
-- Numero de version : 0.1.0.0
-- Date de publication : 04/06/2013
-- Auteur(s) : Association Cocktail
--
--
WHENEVER SQLERROR EXIT SQL.SQLCODE;

--TABLE GRHUM.GD_APPLICATION
DECLARE
    compteur NUMBER;
    idDomaine NUMBER;
    idApplication NUMBER;
BEGIN
	-- GD_DOMAINE
	SELECT COUNT(*) INTO compteur FROM GRHUM.GD_DOMAINE WHERE DOM_LC = 'SCOLARITE';
	IF (compteur = 0) THEN
		SELECT GRHUM.GD_DOMAINE_SEQ.NEXTVAL INTO idDomaine FROM DUAL;
		INSERT INTO GRHUM.GD_DOMAINE (DOM_ID, DOM_LC) VALUES (idDomaine, 'SCOLARITE');
	ELSE
		SELECT DOM_ID INTO idDomaine FROM GRHUM.GD_DOMAINE WHERE DOM_LC = 'SCOLARITE';
	END IF;
	
	-- GD_APPLICATION
	SELECT COUNT(*) INTO compteur FROM GRHUM.GD_APPLICATION WHERE APP_LC = 'CORIANDRE';
	IF (compteur = 0) THEN
		SELECT GRHUM.GD_APPLICATION_SEQ.NEXTVAL INTO idApplication FROM DUAL;
		INSERT INTO GRHUM.GD_APPLICATION (APP_ID, DOM_ID, APP_LC, APP_STR_ID) VALUES (idApplication, idDomaine, 'CORIANDRE', 'CORIANDRE');
	END IF;
END;
/

--TABLE DB_VERSION
declare
  is_fiedld_exists int;
begin
  select count(*) into is_fiedld_exists from SCO_PRE_SCOLARITE.DB_VERSION where DBV_LIBELLE  = '0.1.0.1';
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_PRE_SCOLARITE.DB_VERSION WHERE DBV_LIBELLE  = ''0.1.0.1''');
  end if;
end;
/
INSERT INTO SCO_PRE_SCOLARITE.DB_VERSION VALUES(SCO_PRE_SCOLARITE.DB_VERSION_SEQ.NEXTVAL, '0.1.0.1', '04/06/2013', SYSDATE,'Version alpha du user SCO_PRE_SCOLARITE');

COMMIT;
